package poker.domain

import poker.domain._
import poker.domain.Valor._
import poker.domain.Naipe._
import org.testng.annotations._
import org.junit.Assert._

class BaralhoTest {

  @Test
  def baralhoTemInicialmente52Cartas() {
    var baralho = new Baralho()
    assertEquals(4*13, baralho.quantidadeDeCartas())
    assertEquals(13, baralho.filter { carta:Carta => carta.naipe == PAUS }.length)
    assertEquals(4, baralho.filter { carta:Carta => carta.valor == J }.length)
  }
  
}
